## Name

![Icon](/res/icons/16x16/app-maps.png) Maps

[Open](file:///bin/Maps)

## Synopsis

```**sh
$ Maps
```

## Description

`Maps` is an application for browsing a map of the world.

The default data provider is [OpenStreetMaps](https://www.openstreetmap.org/), an open-source community-maintained map similar in spirit to Wikipedia.

## Features
Pan around the map by clicking and dragging.

Zoom by using the toolbar icons, the mouse wheel or `Ctrl +` to zoom-in and `Ctrl -` to zoom-out. Reset the zoom to a global view with `Ctrl 0`.
Double-clicking anywhere on the map zooms-in to that location. Double-clicking whilst holding `Shift` zooms-out.

Right-click on a location to:
* Copy its coordinates to the Clipboard
* Save it to your favorites
* Open it in various mapping services
* Center the map on it

Show and hide the search panel by clicking on the leftmost magnifying glass in the toolbar. Type your query, press `Return` and then click on a result to focus on it in the map. Navigate the search results with the `Up` and `Down` arrow keys.

Show and hide the favorites panel by clicking on the leftmost heart in the toolbar. You can add favorites with the right click contextmenu. You can edit and delete your favorites by right clicking on them. Navigate your favorites with the `Up` and `Down` arrow keys.

The default map tile provider can be changed in `Maps Settings`, enabling maps with labels in other languages, different types of map (e.g. topographical) and even setting a custom map. Other tile providers can be found [here](https://wiki.openstreetmap.org/wiki/Raster_tile_providers).

To see an overlay of where in the world SerenityOS users are, click on the Ladyball icon (the SerenityOS logo) or enable `View → Show SerenityOS Users`.
This shows those who have added their location to the [SerenityOS User Map](https://usermap.serenityos.org). Hover over a marker to reveal the name of a user. Project contributors are distinguished by a blue marker. The total number of users on the map is listed in the top-right.
Add yourself in the [user-map repository](https://github.com/SerenityOS/user-map)!
